### Function

# Dex output_stream_write_bytes

#### Declaration [src]

    DexFuture*
    dex_output_stream_write_bytes (
      GOutputStream* stream,
      GBytes* bytes,
      int io_priority
    )

#### Description [src]

Writes `bytes` to `stream`.

This function takes a reference to `bytes` and may be released after calling this function.

#### Parameters

`stream`

  Type: `GOutputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`bytes`

  Type: `GBytes`

  The `GBytes` to write to the stream.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `gint64`.

The caller of the function takes ownership of the data, and is responsible for freeing it.